package com.ibeetl.admin.core.entity;

import com.ibeetl.admin.core.util.ValidateConfig;
import java.util.Date;
import javax.validation.constraints.NotNull;
import org.beetl.sql.annotation.entity.AutoID;
import org.beetl.sql.annotation.entity.SeqID;

/*
 *
 * gen by Spring Boot2 Admin 2018-03-08
 */
public class CoreFile extends BaseEntity {

  @NotNull(message = "ID不能为空", groups = ValidateConfig.UPDATE.class)
  @SeqID(name = ORACLE_FILE_SEQ_NAME)
  @AutoID
  private Long id;

  // 文件名称
  private String name;

  // 路径
  private String path;

  // 业务ID
  private String bizId;

  // 上传人id
  private Long userId;

  // 创建时间
  private Date createTime;

  private Long orgId;

  private String bizType;

  /*文件批次id，用于其它业务表记录*/
  private String fileBatchId;

  public CoreFile() {

  }

  public Long getId() {

    return id;
  }

  public void setId(Long id) {

    this.id = id;
  }

  /**
   * 文件名称
   */
  public String getName() {

    return name;
  }

  /**
   * 文件名称
   */
  public void setName(String name) {

    this.name = name;
  }

  /**
   * 路径
   */
  public String getPath() {

    return path;
  }

  /**
   * 路径
   */
  public void setPath(String path) {

    this.path = path;
  }

  /**
   * 业务ID
   */
  public String getBizId() {

    return bizId;
  }

  /**
   * 业务ID
   */
  public void setBizId(String bizId) {

    this.bizId = bizId;
  }

  /**
   * 上传人id
   */
  public Long getUserId() {

    return userId;
  }

  /**
   * 上传人id
   */
  public void setUserId(Long userId) {

    this.userId = userId;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {

    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {

    this.createTime = createTime;
  }

  public Long getOrgId() {

    return orgId;
  }

  public void setOrgId(Long orgId) {

    this.orgId = orgId;
  }

  public String getBizType() {

    return bizType;
  }

  public void setBizType(String bizType) {

    this.bizType = bizType;
  }

  public String getFileBatchId() {

    return fileBatchId;
  }

  public void setFileBatchId(String fileBatchId) {

    this.fileBatchId = fileBatchId;
  }

}
